
**************************************************************************************************************************************************
*********************************************************** BOOK ANALYSIS ************************************************************************
********************************************************** REPLICATION CODE  *********************************************************************
******************************************************** CHAPTER 7 (Response) **************************************************************************
**************************************************************************************************************************************************
 
 
use "/Users/brancati/Documents/Book Project II/Analysis/Analysis-Data/Brancati_Data_Response_Analysis.dta"

**************************************************************************************************************************************
************************************************* DESCRIPTIVE STATISTICS *************************************************************
**************************************************************************************************************************************

*Figure 7.1* 
bysort sizec:  tab ac_politicala 
bysort ac_politicala: tabstat sizeCAP
 *bysort ac_politicala: tabstat sizeCAP if sizea == sizec
 *Note: sizeestimate is not provided for pre-accommodation period (only overall), but if the analysis is restricted to cases where 
 *the largest protests occurred before any accommodation was offered (if one was), sizeCAP is still 5 times larger than if no accommodation was made. 
bysort sizec:  tab ac_politicala  if (protestid != "HTI4" & protestid != "EGY9" & protestid != "RUS3"  &  protestid != "RUS4" & protestid != "KWT1" & protestid != "COD1")
bysort ac_politicala: tab ruralonly 
bysort ac_politicala: tab urbanonly 
bysort ac_politicala: tab urbanrural 


*Figure 7.2*
browse country year execdeposed if execdeposed  == 1
bysort sizea: tab execdeposed
bysort execdeposed: tabstat sizeCAP
bysort execdeposed: tab ruralonly 
bysort execdeposed: tab urbanonly 
bysort execdeposed: tab urbanrural



**************************************************************************************************************************************
********************************* PROTEST SIZE -- NUMBER OF PARTICIPANTS AND GEOGRAPHIC DISPERSION ***********************************
**************************************************************************************************************************************


********************************
**** POLITICAL CONCESSIONS  ****
********************************

***** MODEL 1 AND MODEL 4, NUMBER OF PARTICIPANTS (BASE MODEL) *********
logit ac_politicala sizec pollag1 physint_lag decade00_2011, cluster(id)
forvalues count = 1(1)5 {
  prvalue, x(sizec=`count')
} 

* tab sizec, gen(indicator)
* logit ac_politicala indicator1 indicator2 indicator3 indicator4 indicator5 pollag1 physint_lag decade00_2011, cluster(id)
* test indicator1 indicator2 indicator3 


****** MODEL 2, URBAN/RURAL ***
logit ac_politicala sizec ruralonly urbanrural pollag1 physint_lag decade00_2011, cluster(id)
  *dropped ruralonly (only 2 observations)


****** MODEL 3, NUMBER OF PARTICIPANTS PER CAPITA ******
logit ac_politicala sizeCAP pollag1 physint_lag decade00_2011 if sizea == sizec, cluster(id)
  *sizeestimate is based on sizea. By restricting to ones where sizea = sizec than sizeestimate and SIZECAP is the size before the acommodation. 
prvalue, x(sizeCAP=66309.471)
prvalue, x(sizeCAP=132618.9)
 *Serbia(2000), 500K-1Million
prvalue, x(sizeCAP=10457.418)
 *Ukraine(2004), 500K



****** ROBUSTNESS ********

** NON-GENUINE REFORMS AND BORDERLINE CASES** 
 logit ac_politicala sizec pollag1 physint_lag decade00_2011 if (protestid != "HTI4" & protestid  != "EGY9" & protestid  != "RUS3" & protestid != "RUS4" & protestid != "KWT1" & protestid != "COD1"), cluster(id)
 logit ac_politicala sizec pollag1 physint_lag decade00_2011 if  borderline == 0, cluster(id)


** ROBUSTNESS, GEOGRAPHIC DISPERSON**
logit ac_politicala sizec capitalonly capital_plus pollag1 physint_lag decade00_2011, cluster(id)
 test capitalonly capital_plus

** ALTERNATIVE MEASURES OF CONTROL VARIABLES ***
logit ac_politicala sizec gwf_party gwf_military gwf_monarchy gwf_personal  physint_lag decade00_2011, cluster(id)
 test gwf_party gwf_military gwf_monarchy gwf_personal 
  *gwf_warlord is not included cecause there are case of warlord regimes. gwf_democracy is the base category
 
logit ac_politicala sizec pollag1 mil_xpnd_gdp_lag decade00_2011, cluster(id) 
logit ac_politicala sizec pollag1 forcesCAP_lag decade00_2011, cluster(id) 

logit ac_politicala sizec pollag1 forcepac decade00_2011, cluster(id) 
logit ac_politicala sizec pollag1 mildefect decade00_2011, cluster(id) 


****************************
**** EXECUTIVE DEPOSED  ****
****************************


***** MODEL 4  NUMBER OF PARTICIPANTS (BASE MODEL) *********
logit execdeposed sizea pollag1 physint_lag decade00_2011, cluster(id)
forvalues count = 1(1)5 {
  prvalue, x(sizea=`count')
} 

* tab sizec, gen(indicator)
* logit execdeposed indicator1 indicator2 indicator3 indicator4 indicator5 pollag1 physint_lag decade00_2011, cluster(id)
* test indicator2 indicator3 


****** MODEL 5, URBAN/RURAL ***
logit execdeposed sizea urbanrural pollag1 physint_lag decade00_2011, cluster(id)
  *ruralonly dropped too few cases. 

****** MODEL 6, NUMBER OF PARTICIPANTS PER CAPITA ******
logit execdeposed sizeCAP pollag1 physint_lag decade00_2011 if sizea == sizec, cluster(id)
  *sizeestimate is based on sizea. By restricting to ones where sizea = sizec than sizeestimate and SIZECAP is the size before the acommodation. 
prvalue, x(sizeCAP=66309.471)
prvalue, x(sizeCAP=132618.9)
 *Serbia(2000), 500K-1Million
prvalue, x(sizeCAP=10457.418)
 *Ukraine(2004), 500K


****** ROBUSTNESS *****
** NON-GENUINE REFORMS AND BORDERLINE CASES** 
 logit execdeposed sizea pollag1 physint_lag decade00_2011 if (protestid != "HTI4" & protestid  != "EGY9" & protestid  != "RUS3" & protestid != "RUS4" & protestid != "KWT1" & protestid != "COD1"), cluster(id)
 logit execdeposed sizea pollag1 physint_lag decade00_2011 if borderline == 0, cluster(id)

** ROBUSTNESS, GEOGRAPHIC DISPERSON CAPITAL**
logit execdeposed sizea capitalonly capital_plus pollag1 physint_lag decade00_2011, cluster(id)
  test capitalonly capital_plus
  
logit execdeposed sizea gwf_party gwf_military gwf_personal gwf_democracy physint_lag decade00_2011, cluster(id)
 *military, warlord and monarchy are dropped. 
 test gwf_party gwf_personal gwf_democracy 
 
logit execdeposed sizea pollag1 mil_xpnd_gdp_lag decade00_2011, cluster(id) 
logit execdeposed sizea pollag1 forcesCAP_lag decade00_2011, cluster(id) 
logit execdeposed sizea pollag1 force_all decade00_2011, cluster(id) 
logit execdeposed sizea pollag1 mildefect decade00_2011, cluster(id) 

**************************************************************************************************************************************
***************************************************** OTHER PROTEST CHARACTERISTICS **************************************************
**************************************************************************************************************************************

********************************
**** POLITICAL CONCESSIONS  ****
********************************

*MODEL 7, Demands* 
logit ac_politicala sizec demand_fraud demand_vote demand_compete demand_renew demand_other pollag1 physint_lag decade00_2011, cluster(id)
  test demand_fraud demand_vote demand_compete demand_renew 
  *demand_respect is the base category. 

*MODEL 8, Violence*
logit ac_politicala sizec tacticsc pollag1 physint_lag decade00_2011, cluster(id)

****** ROBUSTNESS *****
logit ac_politicala sizec cohesion pollag1 physint_lag decade00_2011, cluster(id)

** NON-GENUINE REFORMS AND BORDERLINE CASES** 
logit ac_politicala sizec demand_fraud demand_vote demand_compete demand_renew demand_other pollag1 physint_lag decade00_2011 if (protestid != "HTI4" & protestid  != "EGY9" & protestid  != "RUS3" & protestid != "RUS4" & protestid != "KWT1" & protestid != "COD1"), cluster(id)
  test demand_fraud demand_vote demand_compete demand_renew 
logit ac_politicala sizec demand_fraud demand_vote demand_compete demand_renew demand_other pollag1 physint_lag decade00_2011 if borderline == 0, cluster(id)
   test demand_fraud demand_vote demand_compete demand_renew 


********************************
**** EXECUTIVE DEPOSITION   ****
********************************

*Model 11, Demands*
logit execdeposed sizea demand_fraud demand_compete demand_renew  pollag1 physint_lag decade00_2011, cluster(id)
  test demand_fraud demand_compete demand_renew 
  *no cases of demand_vote and execdeposed. 
  *other dropped, leaving demand_respect as the base category.  

*Model 12, Violence*
logit execdeposed sizea tacticsa pollag1 physint_lag decade00_2011, cluster(id)

*Robustness
logit execdeposed sizea cohesion pollag1 physint_lag decade00_2011, cluster(id)

** NON-GENUINE REFORMS AND BORDERLINE CASES**
logit execdeposed sizea demand_fraud demand_compete demand_renew pollag1 physint_lag decade00_2011 if (protestid != "HTI4" & protestid  != "EGY9" & protestid  != "RUS3" & protestid != "RUS4" & protestid != "KWT1" & protestid != "COD1"), cluster(id)
 test demand_fraud demand_compete demand_renew 
logit execdeposed sizea demand_fraud demand_compete demand_renew pollag1 physint_lag decade00_2011 if borderline == 0, cluster(id)
 test demand_fraud demand_compete demand_renew 

**************************************************************************************************************************************
**************************************** INEQUALITY/CAPITAL MOBILITY **************************************************
**************************************************************************************************************************************

********************************
**** POLITICAL CONCESSIONS  ****
********************************

*Model 9, Income Equality*
logit ac_politicala sizec SWIID_gini_net_lag pollag1 physint_lag decade00_2011, cluster(id)

*Model 10, Capital Mobility*
gen lnwdi_GDPcap_lag = ln(wdi_GDPcap_lag)
logit ac_politicala sizec lnwdi_GDPcap_lag wdi_education_lag WDI_agriculture_lag WDI_FuelExp_lag pollag1 physint_lag  decade00_2011, cluster(id)


*Robustness**
  logit ac_politicala sizec pollag1 physint_lag lnwdi_GDPcap_lag decade00_2011, cluster(id)
  logit ac_politicala sizec pollag1 physint_lag WDI_agriculture_lag decade00_2011, cluster(id)
  logit ac_politicala sizec pollag1 physint_lag UNCTAD_concIndex_lag decade00_2011, cluster(id)
  logit ac_politicala sizec pollag1 physint_lag WDI_FuelExp_lag decade00_2011, cluster(id)
  
  logit ac_politicala sizec pollag1 physint_lag agactive_lag decade00_2011, cluster(id)
  logit ac_politicala sizec pollag1 physint_lag USEIA_gas_lag decade00_2011, cluster(id)
  logit ac_politicala sizec pollag1 physint_lag USEIA_oil_lag decade00_2011, cluster(id) 
  
  

********************************
**** EXECUTIVE DEPOSITION   ****
********************************

*Model 13, Inequality*
logit ac_resigna sizec SWIID_gini_net_lag pollag1 physint_lag decade00_2011, cluster(id)
 * logit execdeposed sizec SWIID_gini_net_lag pollag1 physint_lag decade00_2011, cluster(id)

*Model 14, Capital Mobility*
gen lnwdi_GDPcap_lag = ln(wdi_GDPcap_lag)
logit ac_resigna sizec lnwdi_GDPcap_lag wdi_education_lag WDI_agriculture_lag WDI_FuelExp_lag pollag1 physint_lag  decade00_2011, cluster(id)
 *logit execdeposed sizec lnwdi_GDPcap_lag wdi_education_lag WDI_agriculture_lag WDI_FuelExp_lag pollag1 physint_lag  decade00_2011, cluster(id)



*Robustness**

  logit ac_resigna sizec pollag1 physint_lag lnwdi_GDPcap_lag decade00_2011, cluster(id)
  logit ac_resigna sizec pollag1 physint_lag WDI_agriculture_lag decade00_2011, cluster(id)
  logit ac_resigna sizec pollag1 physint_lag UNCTAD_concIndex_lag decade00_2011, cluster(id)
  logit ac_resigna sizec pollag1 physint_lag WDI_FuelExp_lag decade00_2011, cluster(id)
  
  logit ac_resigna sizec pollag1 physint_lag agactive_lag decade00_2011, cluster(id)
  logit ac_resigna sizec pollag1 physint_lag USEIA_gas_lag decade00_2011, cluster(id)
  logit ac_resigna sizec pollag1 physint_lag USEIA_oil_lag decade00_2011, cluster(id) 
  


